PostgreSQLのアップデートの件、ますどんをDockerで立ち上げている私はどうすればいいのかしら。
‪https://www.postgresql.org/about/news/1746/‬

ProgreSQLのアップデート、添付画像に書かれた二つのアドバイス(ありがとうございます)、私には矛盾しているように見えるのですが、そうではないのかしら。まだ勘違いしているのかなあ…もう少し調べるか…
@skoji
@katsusuke @gnue social.hyuki.net/media/JV8RRkc

Sensitive content Click to show

@hyuki
postgress:alpineイメージでは今はpostgressのバージョンが9.6.xの指定になっていたと思います。わたしのところでは、9.6.2から9.6.3になりました。このケースだとメジャーバージョンが同じ9.6なので、DBの互換性問題はありません。

とはいえ、バージョンの確認は念のためしてみたほうが良いですね。docker image側が変わることはあるはずなので(すみません)

参考: 「マイナーリリースでは内部データ保存形式は決して変更されず、同じメジャーバージョン番号の以前と以降のマイナーリリースと常に互換性があります」
postgresql.jp/document/9.0/htm

結城浩@social.hyuki.net @hyuki

わざわざすみません。ありがとうございます!!@skoji